# -*- coding: utf-8 -*-

children = []
models = [
    {'model_name': 'carriage', 'model_label': 'carriage'},
    {'model_name': 'delivery', 'model_label': 'delivery'},
]

for model in models:
    add_entry = {
        "title": f"add {model['model_label']}",
        "url_name": f"admin:carriage_{model['model_name']}_add",
        "perms": [f"carriage.add_{model['model_name']}"],
    }
    children.append(add_entry)
    list_entry = {
        "title": f"list {model['model_label']}",
        "url_name": f"admin:carriage_{model['model_name']}_changelist",
        "perms": [
            f"carriage.view_{model['model_name']}",
            f"carriage.change_{model['model_name']}"
        ],
    }
    children.append(list_entry)

menu_items = [{
    'title': 'carriage',
    'url_name': {'viewname': 'admin:app_list', 'kwargs': {'app_label': 'carriage'}},
    'perms': ['carriage.*'],
    'children': children
}]
